require 'cocoapods-tdfire-binary/binary_url_manager'
require 'cocoapods-tdfire-binary/init_asker'

module Pod
  class Command
    class Binary < Command
      class Init < Binary

        self.abstract_command = false
        self.summary = '初始化二进制插件'
        self.description = <<-DESC
					初始化二进制插件
        DESC

        def self.options
          [
            ['--without-ask', '直接下载配置'],
          ].concat(super)
        end

        def initialize(argv)
          @without_ask = argv.flag?('without-ask')
          @asker = Pod::Tdfire::InitAsker.new
          super
        end

        def run
          @asker.wellcome_message

          if @without_ask
            binary_config.clone_default_config
          else 
            hash = binary_config.setting_hash

            Pod::Tdfire::InitAsker::QUESTIONS.each do |k, v|
              default = hash[k] if hash
              hash[k] = @asker.ask_with_answer(v, default)
            end

            binary_config.config_with_setting(hash)
          end

          @asker.done_message
        end
      end
    end
  end
end